Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python2_sitearch: %define python2_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pyifp
Version:        0.2.2
Release:        alt1_22
Summary:        Python Bindings for libifp
License:        GPLv2
URL:            http://ifp-gnome.sourceforge.net/
Source0:        http://downloads.sourceforge.net/ifp-gnome/%{name}-%{version}.tar.gz
# From Gentoo:
Patch0:         pyifp-0.2.2-setup-fix.patch

BuildRequires:  gcc
BuildRequires:  libifp-devel
BuildRequires:  libusb-compat-devel
BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools
BuildRequires:  swig
Source44: import.info


%description
The pyifp module is a wrapper around libifp designed to make it easy
to write python based programs to manage the iFP class of devices.
(A line of portable media players manufactured by iRiver.)


%prep
%setup -q
%patch0 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT

 

%files
%doc COPYING README.txt
%{python_sitelibdir}/*
%{_bindir}/backup-ifp
%{_bindir}/pyifp-test


%changelog
* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_22
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_21
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_20
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_18
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_16
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_14
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_13
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_12
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_9
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_8
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_7
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_6
- initial fc import

